#ifndef Q6602EW_CONFIG_H
#define Q6602EW_CONFIG_H
#include "libsupport.h"
#include "q6602ew_platform.h"
#include "libdataserv.h"
#include "earthworm_defs.h"

/* what is in our config */
typedef struct {
  boolean send_mini;
  boolean send_trace;
  boolean write_archive;
  tfile_owner fowner;
  tpar_create par_create ; /* parameters to create context */
  tpar_register par_register ; /* parameters to register */
  tds_par dataserv;
  char ConfigFileName[MAX_DIR_LEN];
  char ContFileDir[MAX_DIR_LEN];
  char ModuleId[MAX_MOD_STR];
  char RingName[MAX_RING_STR];
  char MseedRingName[MAX_RING_STR];
  long RingKey;
  long MseedRingKey;
  int32  statusinterval;
  int32  HeartbeatInt;
  int32  LogFile;
  int32 LogLevel;
} Q660Configuration;

int32 readConfig(char *);
void printConfigStructToLog();
void setupDefaultConfiguration();

#endif
